;**************************************************************
;* Nach einer Idee von eibauoma
;**************************************************************

;**************************************************************
;* Version A ganz einfach
;**************************************************************
(define (script-fu-cf-tools-hilfslinien-a)		;Beginn (define)
) 												;Ende (define)

(script-fu-register								;Beginn (script-fu-register)
	"script-fu-cf-tools-hilfslinien-a"			;Name der Funktion, die aufgerufen werden soll
	"CFU Hilfslinien Test A"                  	;Name des Skripts
	"Löscht und setzt Hilfslinien" 				;Beschreibung des Skripts
	"CF"                                     	;Name des Autors
	"Copyleft by CF"                         	;Copyright-Infos
	"29.01.2012"                             	;Datum
	"RGB* GRAY* INDEXED*"                     	;Bildtypen 
	SF-IMAGE "Das Bild" 0
 	SF-TOGGLE "Zuerst alle vorhandenen Hilfslinien löschen?" TRUE 
 	SF-ADJUSTMENT "Anzahl zu setzender Horizontaler Hilfslinien" '(3 0 50 1 10 0 0)
 	SF-ADJUSTMENT "Anzahl zu setzender Vertikaler Hilfslinien" '(3 0 50 1 10 0 0)
)												;Ende (script-fu-register)

(script-fu-menu-register "script-fu-cf-tools-hilfslinien-a" "<Image>/CFU/Tests")		


;**************************************************************
;* Version B etwas Flexibler
;**************************************************************
(define (script-fu-cf-tools-hilfslinien-b)		;Beginn (define)
) 												;Ende (define)
 
(script-fu-register								;Beginn (script-fu-register)
	"script-fu-cf-tools-hilfslinien-b"			;Name der Funktion, die aufgerufen werden soll
	"CFU Hilfslinien Test B"                	;Name des Skripts
	"Löscht und setzt Hilfslinien" 				;Beschreibung des Skripts
	"CF"                                    	;Name des Autors
	"Copyleft by CF"                        	;Copyright-Infos
	"29.01.2012"                            	;Datum
	"RGB* GRAY* INDEXED*"                   	;Bildtypen 
	SF-IMAGE "Das Bild" 0
 	SF-OPTION "Hilfslinien löschen"     '("Alle" "Alle Horizontalen" "Alle Vertikalen" "Keine")
	SF-TOGGLE "Horizontale Hilfslinien setzen:" TRUE
	SF-TOGGLE "Vertikale Hilfslinien setzen:" TRUE
 	SF-OPTION "Hilfslinien setzen"     	'("Alle" "Bei" "Anzahl")
 	SF-ADJUSTMENT "Wert"     			'(25 1 9999 1 10 0 0)
 	SF-OPTION "Einheit"     			'("Prozent" "Pixel")
)												;Ende (script-fu-register)

	(script-fu-menu-register "script-fu-cf-tools-hilfslinien-b" "<Image>/CFU/Tests")		

	
;**************************************************************
;* Version C Mit einer Menge drin
;**************************************************************
(define (script-fu-cf-tools-hilfslinien-c)			;Beginn (define)
) 													;Ende (define)
 
(script-fu-register									;Beginn (script-fu-register)
	"script-fu-cf-tools-hilfslinien-c"				;Name der Funktion, die aufgerufen werden soll
	"CFU Hilfslinien Test C"                  		;Name des Skripts
	"Löscht und setzt und verschiebt Hilfslinien"	;Beschreibung des Skripts
	"CF"                                     		;Name des Autors
	"Copyleft by CF"                         		;Copyright-Infos
	"29.01.2012"                             		;Datum
	"RGB* GRAY* INDEXED*"                   		;Bildtypen
	SF-IMAGE "Das Bild" 0
 	SF-OPTION "Hilfslinien löschen"     '("Alle" "Alle Horizontalen" "Alle Vertikalen" "Keine")
 	SF-ADJUSTMENT "Verschiebe Horizontale Hilfslinien um" '(0 -999 999 1 10 0 0)
 	SF-OPTION "Einheit"     			'("Pixel" "Prozent")
 	SF-ADJUSTMENT "Verschiebe Vertikale Hilfslinien um" '(0 -999 999 1 10 0 0)
 	SF-OPTION "Einheit"     			'("Pixel" "Prozent")
 	SF-TOGGLE "Horizontale Hilfslinien setzen:" TRUE
	SF-TOGGLE "Vertikale Hilfslinien genauso setzen:" TRUE
 	SF-OPTION "Hilfslinien setzen"     	'("Alle" "Bei" "Anzahl")
 	SF-ADJUSTMENT "Wert"     			'(25 1 9999 1 10 0 0)
 	SF-OPTION "Einheit"     			'("Prozent" "Pixel")
	SF-TOGGLE "Hilfslinien am Rand setzen:" FALSE
	SF-TOGGLE "Vertikale Hilfslinien setzen:" FALSE
 	SF-OPTION "Hilfslinien setzen"     	'("Alle" "Bei" "Anzahl")
 	SF-ADJUSTMENT "Wert"     			'(25 0 9999 1 10 0 1)
	SF-OPTION "Einheit"     			'("Prozent" "Pixel")
	SF-TOGGLE "Hilfslinien am Rand setzen:" FALSE
	SF-TOGGLE "Hilfslinien um Auswahl setzen:" FALSE
)													;Ende (script-fu-register)

(script-fu-menu-register "script-fu-cf-tools-hilfslinien-c" "<Image>/CFU/Tests")		

